import * as plugins from './smartvalidator.plugins.js';

export class SmartValidator {
  public static validator = plugins.validator;

  constructor() {}

  public isIban(stringArg: string) {
    return plugins.validator.isIBAN(stringArg);
  }

  public escape(stringArg: string) {
    return plugins.validator.escape(stringArg);
  }

  public isUrl(stringArg: string) {
    return plugins.validator.isURL(stringArg);
  }

  /**
   * might be buggy. TODO: Improve.
   * @param stringArg
   * @returns
   */
  public isCsv(stringArg: string) {
    return stringArg.split(',').length > 4 || stringArg.split(';').length > 4;
  }
}
